local widget = require( "widget" )
local myVariable={}
local list
local myRect={}

local function onRowTouch(event)
	local phase = event.phase
	local row = event.row

	for i=1,#myRect do
		myRect[i]:setFillColor(1,0,0)
	end
	myRect[row.index]:setFillColor(0,0,1)
end
local function onRowRender( event )
	local phase = event.phase
	local row = event.row

	local groupContentHeight = row.contentHeight

	local LEFT_PADDING = 10
	local halfW = display.contentCenterX
	local halfH = display.contentCenterY

	myRect[row.index] = display.newRect(halfW,row.height*0.5,display.contentWidth-20,80)
	myRect[row.index]:setFillColor(1,0,0)
	row:insert(myRect[row.index])  
end
list = widget.newTableView
	{
		top = 0,
		width = display.contentWidth, 
		height=display.contentHeight ,
		onRowRender = onRowRender,
		onRowTouch = onRowTouch,
	}

	for i = 1, 100 do
		myVariable[i]=0
		list:insertRow{rowHeight = 100}
	end